## org.codehaus.groovy.grails.web.binding
Class UriEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.codehaus.groovy.grails.web.binding.UriEditor

All Implemented Interfaces:
  PropertyEditor

    public class UriEditor

extends PropertyEditorSupport

Provides type conversion from Strings to java.net.URI instances

Since:
  0.3
Author:
  Graeme Rocher

Constructor Summary
`UriEditor()`

Method Summary
`String` `getAsText()`
`void` `setAsText(String uriString)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UriEditor

    public UriEditor()

Method Detail

### getAsText

    public String getAsText()

  Specified by:
    `getAsText` in interface `PropertyEditor`
  Overrides:
    `getAsText` in class `PropertyEditorSupport`

### setAsText

    public void setAsText(String uriString)
                   throws IllegalArgumentException

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`
  Throws:
    `IllegalArgumentException`

Copyright (c) 2005-2009 The Grails project